<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:dt="http://www.thymeleaf.org/dandelion/datatables">
<head>
</head>
<body>

	<th:block data-th-fragment="text">
		<th:block data-th-replace="fragments/forms::text(field=${field}, fieldname=${(prefix ?: '') + 'filter.' + (fieldname ?: field)})" />
	</th:block>

	<th:block data-th-fragment="singleSelect">
		<th:block data-th-replace="fragments/forms::singleSelect(field=${field}, options=${options}, fieldname=${(prefix ?: '') + 'filter.' + (fieldname ?: field)})" />
	</th:block>



	<th:block data-th-fragment="allowArchived">
		<label for="allowArchived1" data-th-text="#{filter.allowArchived}">Archivierte Anzeigen</label>
		<input type="checkbox" data-th-field="*{allowArchived}" data-th-errorclass="error" />
	</th:block>



	<th:block data-th-fragment="selectWithNull">
		<th:block data-th-if="${#fields.hasErrors('__${field}__')}">
			<div></div>
			<div data-th-errors="*{__${field}__}"></div>
		</th:block>
		<label data-th-for="${field}" data-th-text="#{filter.__${name ?: field}__}">Field</label>
		<select data-th-field="*{__${field}__}" data-th-errorclass="error">
			<option value="">---</option>
			<option data-th-each="option: ${options}" data-th-value="${option.__${optionId ?: 'id'}__}" data-th-text="${option.__${optionName ?: 'name'}__}">Option</option>
		</select>
	</th:block>

	<th:block data-th-fragment="selectMultipleWithNull">
		<th:block data-th-if="${#fields.hasErrors('__${field}__')}">
			<div></div>
			<div data-th-errors="*{__${field}__}"></div>
		</th:block>
		<label data-th-for="${field}" data-th-text="#{filter.__${name ?: field}__}">Field</label>
		<select multiple="multiple" data-th-field="*{__${field}__}" data-th-errorclass="error">
			<option value="">---</option>
			<option data-th-each="option: ${options}" data-th-value="${option.__${optionId ?: 'id'}__}" data-th-text="${option.__${optionName ?: 'name'}__}">Option</option>
		</select>
	</th:block>

	<th:block data-th-fragment="selectWithoutNull">
		<th:block data-th-if="${#fields.hasErrors('__${field}__')}">
			<div></div>
			<div data-th-errors="*{__${field}__}"></div>
		</th:block>
		<label data-th-for="${field}" data-th-text="#{filter.__${name ?: field}__}">Field</label>
		<select data-th-field="*{__${field}__}" data-th-errorclass="error">
			<option data-th-each="option: ${options}" data-th-value="${option.__${optionId ?: 'id'}__}" data-th-text="${option.__${optionName ?: 'name'}__}">Option</option>
		</select>
	</th:block>

	<th:block data-th-fragment="date">
		<th:block data-th-if="${#fields.hasErrors('__${field}__')}">
			<div></div>
			<div data-th-errors="*{__${field}__}"></div>
		</th:block>
		<label data-th-for="${field}" data-th-text="#{filter.__${name ?: field}__}">Field</label>
		<input type="date" data-th-field="*{__${field}__}" data-th-errorclass="error" />
	</th:block>

	<th:block data-th-fragment="number">
		<th:block data-th-if="${#fields.hasErrors('__${field}__')}">
			<div></div>
			<div data-th-errors="*{__${field}__}"></div>
		</th:block>
		<label data-th-for="${field}" data-th-text="#{filter.__${name ?: field}__}">Field</label>
		<input type="number" data-th-field="*{__${field}__}" data-th-errorclass="error" data-th-min="${min ?: 0}" data-th-step="${step ?: 1}" />
	</th:block>

	<th:block data-th-fragment="numberWithMax">
		<th:block data-th-if="${#fields.hasErrors('__${field}__')}">
			<div></div>
			<div data-th-errors="*{__${field}__}"></div>
		</th:block>
		<label data-th-for="${field}" data-th-text="#{filter.__${name ?: field}__}">Field</label>
		<input type="number" data-th-field="*{__${field}__}" data-th-errorclass="error" data-th-min="${min ?: 0}" data-th-max="${max ?: 100}" data-th-step="${step ?: 1}" />
	</th:block>

	<th:block data-th-fragment="checkbox">
		<label data-th-for="${field}+'1'" data-th-text="#{filter.__${name ?: field}__}">Field</label>
		<input type="checkbox" data-th-field="*{__${field}__}" data-th-errorclass="error" />
	</th:block>

</body>
</html>